%define version	1.4.4
%define release	%mkrel 9

%define libname_orig lib%{name}
%define libname %mklibname %{name} 8

Name:		scim
Summary:	Smart Common Input Method platform
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	LGPL
# alt URL:	http://sourceforge.net/projects/scim/
URL:		http://www.scim-im.org
Source0:	http://ufpr.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2

# new icons from fedora
Source1:	scim-icons-0.2.tar.bz2

# revert to scim-1.4.3 look and feel in candidate selection
Patch0:		scim_panel-gtk-revert.patch.bz2

# from fedora
# change hot keys per locale
Patch1:		scim-initial-locale-hotkey-186861.patch
Patch2:		scim-system-default-config.patch

# http://sourceforge.net/mailarchive/forum.php?thread_id=17966658&forum_id=43684
Patch3:		scim_fix_initial_toolbar_position.diff

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		pango
Requires:		%{libname} = %{version}
Requires:		gtk+2.0 >= 2.4.4-2mdk
Requires(pre):		%_bindir/gtk-query-immodules-2.0
BuildRequires:		gtk+2-devel pango-devel libltdl-devel atk intltool
BuildRequires:		libGConf2-devel

%description
SCIM is a developing platform to significant reduce the difficulty of 
input method development. 


%package -n %{libname}
Summary:	SCIM library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}
Requires:		scim
Obsoletes:		libscim0

%description -n %{libname}
SCIM library.

%package -n %{libname}-devel
Summary:	Headers of SCIM for development
Group:		Development/C
Requires:		%{libname} = %{version}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{libname_orig}-devel = %{version}-%{release}
Obsoletes:		libscim0-devel

%description -n %{libname}-devel
Headers of %{name} for development.

%prep
%setup -q -a1
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

# update icons
mv scim-icons/icons/*.png data/icons
mv scim-icons/pixmaps/*.png data/pixmaps

%build
[[ -f configure ]] || ./bootstrap

%configure2_5x --disable-schemas-install

%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install-strip

mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/{Config,FrontEnd,IMEngine,SetupUI,Helper}

# remove unneeded files
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/*/*/*.{a,la}
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/gtk-2.0/immodules/im-scim.{a,la}

# install user manual
mkdir -p docs/dist/manual/zh_CN/figures/
	cp -a docs/manual/zh_CN/user-manual.{html,xml} docs/dist/manual/zh_CN/
	cp -a docs/manual/zh_CN/figures/*.png docs/dist/manual/zh_CN/figures/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%postun -n %{libname}
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog TODO
%doc docs/dist/manual/zh_CN
%dir %{_sysconfdir}/scim
%dir %{_datadir}/scim
%dir %{_datadir}/scim/icons
%config(noreplace) %{_sysconfdir}/scim/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/pixmaps/*.png
%{_datadir}/scim/icons/*.png
%{_libexecdir}/scim*/[^1]*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%dir %{_libdir}/scim-1.0/Config
%dir %{_libdir}/scim-1.0/FrontEnd
%dir %{_libdir}/scim-1.0/SetupUI
%{_libdir}/lib*.so.*
%{_libdir}/scim-1.0/*/*/*.so
%{_libdir}/gtk-2.0/immodules/im-scim.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/scim-1.0/*.h
%{_includedir}/scim-1.0/gtk/*.h
%{_includedir}/scim-1.0/x11/scim_x11_utils.h

%changelog
* Thu Aug 03 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.4-9mdv2007.0
- update icons (from fedora)
- modify scim-system-default-config.patch for new icons

* Wed Aug 02 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.4-8mdv2007.0
- modify hotkeys (scim-system-default-config.patch)
- (add Control+space to scim trigger for Japanese and Korean)
- (thanks to Yukiko Bando <ybando@k6.dion.ne.jp>)

* Tue Jul 04 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.4-7mdv2007.0
- add patch3 (scim_fix_initial_toolbar_position.diff)

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.4-6mdv2007.0
- add patch1,2 (change hot keys per locale)

* Thu Feb 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.4-5mdk
- add obsoletes to avoid conflicts (#20965)

* Sat Jan 28 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.4-4mdk
- fix summary (#20880)

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.4-3mdk
- fix major

* Fri Jan 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.4-2mdk
- new release
- add patch0

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.3-1mdk
- new release
- drop patch 0

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.4.2-3mdk
- Rebuild

* Fri Aug 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.2-2mdk
- fix patch0

* Thu Aug 18 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.4.2-1mdk
- New release 1.4.2
	- RawCode IMEngine was enhanced to support all planes of UCS-4
	- A bug of focus IC handling was fixed
	- Support of compose keys will be disabled if English/European 
		input method is disabled
	- A bug in Generic IMEngine setup module was fixed
- Add Patch 0: Fix  Ja translation ( provided by Yukiko Bando )

* Thu Aug 11 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.4.1-1mdk
- New release 1.4.1
	- A serious bug which may cause segmentation fault 
		has been fixed.
	- Three new keyboard layouts have been added.
	- New translation (Panjabi) has been added.


* Fri Aug 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0-2mdk
- rebuild for new gcc/glibc (thus fixing CPU eating)

* Tue Jul 19 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.4.0-1mdk
- New release 1.4.0

* Mon Jun 20 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.3.1-1mdk
- Scim 1.3.1

* Fri Jun 17 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.3.0-2mdk
- Rebuild for new glibc

* Sun May 29 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.3.0-1mdk
- 1.3.0
        - IMEngine Filter interface was fully implemented, 
             including a Proof of Concept Filter, 
             Simplified-Traditional Chinese conversion 
	- Support of various keyboard layout was added into 
             scim::KeyEvent
	- Panel client operations have been abstracted into 
	     class PanelClient
	- New virtual method scim::IMEngineInstance::update_client_capability() 
             was added
	- Many bugfixes

* Thu May 26 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.2.3-1mdk
- 1.2.3
       - Don't match language when switching to next/previous 
           factory
       - Make scim-helper-launcher uses the default config 
           module set in global config file
       - Fixed the recursive calling issue of SocketIMEngine
       - A small bug in scim-panel-gtk was also fixed

* Wed Apr 27 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.2-1mdk
- new release

* Fri Apr 15 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.1-1mdk
- new release
- remove patch0 (merged upstream)

* Fri Mar 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-3mdk
- require scim in order to prevent non working gtk+ apps when manually
  installing libscim0 (#14765)
- fix file conflict btw

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-2mdk
- remove uneeded conflicts (#14276)

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-1mdk
- new release
- misc fixes
- patch 0: update japanese translation

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.1.3-1mdk
- new release
- fix immodules registration on biarch
- add manual
- spec cleanup

* Wed Jan 05 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.2-2mdk
- fix install script (post)

* Sat Jan 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.2-1mdk
- new release
- change URL
- use James Su's install script

* Mon Oct 04 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.1-1mdk
- new release
- add patch0 

* Mon Aug 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.9-1mdk
- new release

* Sun Aug 22 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.8-1mdk
- new release
- remove patches 0 and 1 (merged upstream)

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.6-4mdk
- patch 1: fix japanese translation (Yukiko Bando <ybando@k6.dion.ne.jp>)

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.6-3mdk
- patch 0: really integrate korean translation

* Sat Aug 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.6-2mdk
- patch 0: add korean translation (Kitae <neeum at yahoo.com)

* Fri Aug 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.6-1mdk
- new release

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-3mdk
- quiet post-install script

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-2mdk
- workaround IM loading (dlopen() faillure)

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-1mdk
- new release

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-2.cvs20040724.4mdk
- biarch support

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-2.cvs20040724.3mdk
- update IM list in proper package

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-2.cvs20040724.2mdk
- prevent libraries from being included in main package too

* Sat Jul 24 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.4-2.cvs20040724.1mdk
- cvs 20040724

* Wed Jul 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-1mdk
- do not package empty doc
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Wed Jul  1 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.99.2-2mdk
- BuildRequires: libGConf2-devel

* Thu Jul  1 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.2-1mdk
- new release

* Thu Jun 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.0-1mdk
- fix buildrequies
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Sun Jun 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.7-2mdk
- 20040613cvs
- remove uim from Conflicts

* Fri Jun 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-1mdk
- fix libification
- initial spec for mdk by UTUMI Hirosi <utuhiro78@yahoo.co.jp>
